APJ_BOARD_ID = '125'
APJ_BOARD_TYPE = 'STM32F405xx'
APJ_TOOL = '/home/kolin/ardupilot/Tools/scripts/apj_tool.py'
AP_HAL_REL = '../../libraries/AP_HAL_ChibiOS'
AP_HAL_ROOT = '/home/kolin/ardupilot/libraries/AP_HAL_ChibiOS'
AP_LIBRARIES = ['AP_HAL_ChibiOS', 'AP_Scripting', 'AP_Scripting/lua/src']
AP_LIBRARIES_OBJECTS_KW = {'features': ['ch_ap_library']}
AP_LIB_EXTRA_CFLAGS = {}
AP_LIB_EXTRA_CXXFLAGS = {}
AP_LIB_EXTRA_SOURCES = {'AP_Scripting': ['lua_generated_bindings.cpp'], 'AP_Networking': ['/home/kolin/ardupilot/modules/lwip/src/core/altcp.c', '/home/kolin/ardupilot/modules/lwip/src/core/altcp_alloc.c', '/home/kolin/ardupilot/modules/lwip/src/core/altcp_tcp.c', '/home/kolin/ardupilot/modules/lwip/src/core/def.c', '/home/kolin/ardupilot/modules/lwip/src/core/dns.c', '/home/kolin/ardupilot/modules/lwip/src/core/inet_chksum.c', '/home/kolin/ardupilot/modules/lwip/src/core/init.c', '/home/kolin/ardupilot/modules/lwip/src/core/ip.c', '/home/kolin/ardupilot/modules/lwip/src/core/mem.c', '/home/kolin/ardupilot/modules/lwip/src/core/memp.c', '/home/kolin/ardupilot/modules/lwip/src/core/netif.c', '/home/kolin/ardupilot/modules/lwip/src/core/pbuf.c', '/home/kolin/ardupilot/modules/lwip/src/core/raw.c', '/home/kolin/ardupilot/modules/lwip/src/core/stats.c', '/home/kolin/ardupilot/modules/lwip/src/core/sys.c', '/home/kolin/ardupilot/modules/lwip/src/core/tcp.c', '/home/kolin/ardupilot/modules/lwip/src/core/tcp_in.c', '/home/kolin/ardupilot/modules/lwip/src/core/tcp_out.c', '/home/kolin/ardupilot/modules/lwip/src/core/timeouts.c', '/home/kolin/ardupilot/modules/lwip/src/core/udp.c', '/home/kolin/ardupilot/modules/lwip/src/core/ipv4/acd.c', '/home/kolin/ardupilot/modules/lwip/src/core/ipv4/autoip.c', '/home/kolin/ardupilot/modules/lwip/src/core/ipv4/dhcp.c', '/home/kolin/ardupilot/modules/lwip/src/core/ipv4/etharp.c', '/home/kolin/ardupilot/modules/lwip/src/core/ipv4/icmp.c', '/home/kolin/ardupilot/modules/lwip/src/core/ipv4/igmp.c', '/home/kolin/ardupilot/modules/lwip/src/core/ipv4/ip4.c', '/home/kolin/ardupilot/modules/lwip/src/core/ipv4/ip4_addr.c', '/home/kolin/ardupilot/modules/lwip/src/core/ipv4/ip4_frag.c', '/home/kolin/ardupilot/modules/lwip/src/api/api_lib.c', '/home/kolin/ardupilot/modules/lwip/src/api/api_msg.c', '/home/kolin/ardupilot/modules/lwip/src/api/err.c', '/home/kolin/ardupilot/modules/lwip/src/api/if_api.c', '/home/kolin/ardupilot/modules/lwip/src/api/netbuf.c', '/home/kolin/ardupilot/modules/lwip/src/api/netdb.c', '/home/kolin/ardupilot/modules/lwip/src/api/netifapi.c', '/home/kolin/ardupilot/modules/lwip/src/api/sockets.c', '/home/kolin/ardupilot/modules/lwip/src/api/tcpip.c', '/home/kolin/ardupilot/modules/lwip/src/netif/bridgeif.c', '/home/kolin/ardupilot/modules/lwip/src/netif/bridgeif_fdb.c', '/home/kolin/ardupilot/modules/lwip/src/netif/ethernet.c', '/home/kolin/ardupilot/modules/lwip/src/netif/lowpan6.c', '/home/kolin/ardupilot/modules/lwip/src/netif/lowpan6_ble.c', '/home/kolin/ardupilot/modules/lwip/src/netif/lowpan6_common.c', '/home/kolin/ardupilot/modules/lwip/src/netif/slipif.c', '/home/kolin/ardupilot/modules/lwip/src/netif/zepif.c', '/home/kolin/ardupilot/modules/lwip/src/netif/ppp/auth.c', '/home/kolin/ardupilot/modules/lwip/src/netif/ppp/ccp.c', '/home/kolin/ardupilot/modules/lwip/src/netif/ppp/chap-md5.c', '/home/kolin/ardupilot/modules/lwip/src/netif/ppp/chap-new.c', '/home/kolin/ardupilot/modules/lwip/src/netif/ppp/chap_ms.c', '/home/kolin/ardupilot/modules/lwip/src/netif/ppp/demand.c', '/home/kolin/ardupilot/modules/lwip/src/netif/ppp/eap.c', '/home/kolin/ardupilot/modules/lwip/src/netif/ppp/ecp.c', '/home/kolin/ardupilot/modules/lwip/src/netif/ppp/eui64.c', '/home/kolin/ardupilot/modules/lwip/src/netif/ppp/fsm.c', '/home/kolin/ardupilot/modules/lwip/src/netif/ppp/ipcp.c', '/home/kolin/ardupilot/modules/lwip/src/netif/ppp/ipv6cp.c', '/home/kolin/ardupilot/modules/lwip/src/netif/ppp/lcp.c', '/home/kolin/ardupilot/modules/lwip/src/netif/ppp/magic.c', '/home/kolin/ardupilot/modules/lwip/src/netif/ppp/mppe.c', '/home/kolin/ardupilot/modules/lwip/src/netif/ppp/multilink.c', '/home/kolin/ardupilot/modules/lwip/src/netif/ppp/ppp.c', '/home/kolin/ardupilot/modules/lwip/src/netif/ppp/pppapi.c', '/home/kolin/ardupilot/modules/lwip/src/netif/ppp/pppcrypt.c', '/home/kolin/ardupilot/modules/lwip/src/netif/ppp/pppoe.c', '/home/kolin/ardupilot/modules/lwip/src/netif/ppp/pppol2tp.c', '/home/kolin/ardupilot/modules/lwip/src/netif/ppp/pppos.c', '/home/kolin/ardupilot/modules/lwip/src/netif/ppp/upap.c', '/home/kolin/ardupilot/modules/lwip/src/netif/ppp/utils.c', '/home/kolin/ardupilot/modules/lwip/src/netif/ppp/vj.c', '/home/kolin/ardupilot/libraries/AP_Networking/lwip_hal/arch/sys_arch.cpp', '/home/kolin/ardupilot/libraries/AP_Networking/lwip_hal/arch/evtimer.c']}
AP_PROGRAM_FEATURES = ['ch_ap_program']
AR = ['/opt/gcc-arm-none-eabi-10-2020-q4-major/bin/arm-none-eabi-ar']
ARFLAGS = ['rcs']
BINDIR = '/usr/bin'
BOARD = 'MatekF405-STD'
BOARD_CLASS = 'ChibiOS'
BOARD_FLASH_SIZE = 1024
BOARD_MK = '/home/kolin/ardupilot/libraries/AP_HAL_ChibiOS/hwdef/common/chibios_board.mk'
BOOTLOADER = False
BOOTLOADER_OPTION = ''
BUILDDIR = '/home/kolin/ardupilot/build/MatekF405-STD/modules/ChibiOS'
BUILDDIR_REL = 'modules/ChibiOS'
BUILDROOT = '/home/kolin/ardupilot/build/MatekF405-STD'
BUILD_SUMMARY_HEADER = ['target', 'size_text', 'size_data', 'size_bss', 'size_total', 'size_free_flash', 'ext_flash_used']
CC = ['/usr/lib/ccache/arm-none-eabi-gcc']
CCLNK_SRC_F = []
CCLNK_TGT_F = ['-o']
CC_NAME = 'gcc'
CC_ROOT = '/home/kolin/ardupilot/modules/CrashDebug/CrashCatcher'
CC_ROOT_REL = '../../modules/CrashDebug/CrashCatcher'
CC_SRC_F = []
CC_TGT_F = ['-c', '-o']
CC_VERSION = ('10', '2', '1')
CFLAGS = ['-ffunction-sections', '-fdata-sections', '-fsigned-char', '-Wall', '-Wextra', '-Werror=format', '-Wpointer-arith', '-Wcast-align', '-Wno-missing-field-initializers', '-Wno-unused-parameter', '-Wno-redundant-decls', '-Wno-unknown-pragmas', '-Wno-trigraphs', '-Werror=shadow', '-Werror=return-type', '-Werror=unused-result', '-Werror=unused-variable', '-Werror=narrowing', '-Werror=attributes', '-Werror=overflow', '-Werror=parentheses', '-Werror=format-extra-args', '-Werror=ignored-qualifiers', '-Werror=undef', '-DARDUPILOT_BUILD', '-Wno-format-contains-nul', '-fsingle-precision-constant', '-mcpu=cortex-m4', '-mfpu=fpv4-sp-d16', '-mfloat-abi=hard', '-DARM_MATH_CM4', '-u_printf_float', '-Wlogical-op', '-Wframe-larger-than=1300', '-Wno-attributes', '-fno-exceptions', '-Wall', '-Wextra', '-Wno-sign-compare', '-Wfloat-equal', '-Wpointer-arith', '-Wmissing-declarations', '-Wno-unused-parameter', '-Werror=array-bounds', '-Wfatal-errors', '-Werror=uninitialized', '-Werror=init-self', '-Werror=unused-but-set-variable', '-Wno-missing-field-initializers', '-Wno-trigraphs', '-fno-strict-aliasing', '-fomit-frame-pointer', '-falign-functions=16', '-ffunction-sections', '-fdata-sections', '-fno-strength-reduce', '-fno-builtin-printf', '-fno-builtin-fprintf', '-fno-builtin-vprintf', '-fno-builtin-vfprintf', '-fno-builtin-puts', '-mno-thumb-interwork', '-mthumb', '--specs=nano.specs', '--specs=nosys.specs', '-D__USE_CMSIS', '-Werror=deprecated-declarations', '-DNDEBUG=1', '-Wno-error=double-promotion', '-Wno-error=missing-declarations', '-Wno-error=float-equal', '-Wno-error=cpp', '-std=c11', '-DAP_SIGNED_FIRMWARE=0', '-MMD', '-Os']
CFLAGS_MACBUNDLE = ['-fPIC']
CFLAGS_cshlib = ['-fPIC']
CHECK_SYMBOLS = False
CHIBIOS_BOARD_NAME = 'HAL_BOARD_NAME="MatekF405-STD"'
CHIBIOS_BUILD_FLAGS = 'USE_FATFS=yes CHIBIOS_STARTUP_MK=os/common/startup/ARMCMx/compilers/GCC/mk/startup_stm32f4xx.mk CHIBIOS_PLATFORM_MK=os/hal/ports/STM32/STM32F4xx/platform.mk MCU=cortex-m4 ENV_UDEFS=-DCHPRINTF_USE_FLOAT=1 USE_COPT=-Os'
CHIBIOS_SCRIPTS = '/home/kolin/ardupilot/libraries/AP_HAL_ChibiOS/hwdef/scripts'
CH_ROOT = '/home/kolin/ardupilot/modules/ChibiOS'
CH_ROOT_REL = '../../modules/ChibiOS'
COMPILER_CC = 'gcc'
COMPILER_CXX = 'g++'
CONFIGURE_FILES = ['/home/kolin/ardupilot/libraries/AP_Scripting/wscript', '/home/kolin/ardupilot/libraries/AP_GPS/wscript', '/home/kolin/ardupilot/libraries/AP_HAL_SITL/wscript', '/home/kolin/ardupilot/libraries/SITL/wscript', '/home/kolin/ardupilot/libraries/AP_Networking/wscript', '/usr/lib/python3.11/importlib/_bootstrap.py', '/usr/lib/python3.11/importlib/_bootstrap_external.py', '/usr/lib/python3.11/zipimport.py', '/usr/lib/python3.11/codecs.py', '/usr/lib/python3.11/encodings/aliases.py', '/usr/lib/python3.11/encodings/__init__.py', '/usr/lib/python3.11/encodings/utf_8.py', '/usr/lib/python3.11/abc.py', '/usr/lib/python3.11/io.py', '/home/kolin/ardupilot/modules/waf/waf-light', '/usr/lib/python3.11/stat.py', '/usr/lib/python3.11/_collections_abc.py', '/usr/lib/python3.11/genericpath.py', '/usr/lib/python3.11/posixpath.py', '/usr/lib/python3.11/os.py', '/usr/lib/python3.11/_sitebuiltins.py', '/usr/lib/python3.11/sitecustomize.py', '/usr/lib/python3.11/site.py', '/usr/lib/python3.11/encodings/latin_1.py', '/usr/lib/python3.11/keyword.py', '/usr/lib/python3.11/operator.py', '/usr/lib/python3.11/reprlib.py', '/usr/lib/python3.11/collections/__init__.py', '/usr/lib/python3.11/types.py', '/usr/lib/python3.11/functools.py', '/usr/lib/python3.11/contextlib.py', '/usr/lib/python3.11/enum.py', '/usr/lib/python3.11/ast.py', '/usr/lib/python3.11/opcode.py', '/usr/lib/python3.11/dis.py', '/usr/lib/python3.11/collections/abc.py', '/usr/lib/python3.11/warnings.py', '/usr/lib/python3.11/importlib/__init__.py', '/usr/lib/python3.11/importlib/machinery.py', '/usr/lib/python3.11/re/_constants.py', '/usr/lib/python3.11/re/_parser.py', '/usr/lib/python3.11/re/_casefix.py', '/usr/lib/python3.11/re/_compiler.py', '/usr/lib/python3.11/copyreg.py', '/usr/lib/python3.11/re/__init__.py', '/usr/lib/python3.11/token.py', '/usr/lib/python3.11/tokenize.py', '/usr/lib/python3.11/linecache.py', '/usr/lib/python3.11/inspect.py', '/home/kolin/ardupilot/modules/waf/waflib/__init__.py', '/usr/lib/python3.11/__future__.py', '/usr/lib/python3.11/shlex.py', '/usr/lib/python3.11/fnmatch.py', '/usr/lib/python3.11/_compression.py', '/usr/lib/python3.11/lib-dynload/_bz2.cpython-311-x86_64-linux-gnu.so', '/usr/lib/python3.11/bz2.py', '/usr/lib/python3.11/lib-dynload/_lzma.cpython-311-x86_64-linux-gnu.so', '/usr/lib/python3.11/lzma.py', '/usr/lib/python3.11/shutil.py', '/usr/lib/python3.11/textwrap.py', '/usr/lib/python3.11/traceback.py', '/usr/lib/python3.11/datetime.py', '/usr/lib/python3.11/platform.py', '/usr/lib/python3.11/struct.py', '/usr/lib/python3.11/base64.py', '/usr/lib/python3.11/signal.py', '/usr/lib/python3.11/_compat_pickle.py', '/usr/lib/python3.11/pickle.py', '/usr/lib/python3.11/locale.py', '/usr/lib/python3.11/_weakrefset.py', '/usr/lib/python3.11/threading.py', '/usr/lib/python3.11/selectors.py', '/usr/lib/python3.11/subprocess.py', '/home/kolin/ardupilot/modules/waf/waflib/Errors.py', '/usr/lib/python3.11/lib-dynload/_hashlib.cpython-311-x86_64-linux-gnu.so', '/usr/lib/python3.11/hashlib.py', '/usr/lib/python3.11/encodings/hex_codec.py', '/home/kolin/ardupilot/modules/waf/waflib/Utils.py', '/usr/lib/python3.11/weakref.py', '/usr/lib/python3.11/copy.py', '/usr/lib/python3.11/lib-dynload/_ctypes.cpython-311-x86_64-linux-gnu.so', '/usr/lib/python3.11/ctypes/_endian.py', '/usr/lib/python3.11/ctypes/__init__.py', '/usr/lib/python3.11/lib-dynload/termios.cpython-311-x86_64-linux-gnu.so', '/home/kolin/ardupilot/modules/waf/waflib/ansiterm.py', '/usr/lib/python3.11/string.py', '/usr/lib/python3.11/logging/__init__.py', '/home/kolin/ardupilot/modules/waf/waflib/Logs.py', '/home/kolin/ardupilot/modules/waf/waflib/ConfigSet.py', '/usr/lib/python3.11/bisect.py', '/usr/lib/python3.11/random.py', '/usr/lib/python3.11/tempfile.py', '/usr/lib/python3.11/gettext.py', '/usr/lib/python3.11/optparse.py', '/home/kolin/ardupilot/modules/waf/waflib/Node.py', '/home/kolin/ardupilot/modules/waf/waflib/Context.py', '/home/kolin/ardupilot/modules/waf/waflib/Options.py', '/usr/lib/python3.11/heapq.py', '/usr/lib/python3.11/lib-dynload/_queue.cpython-311-x86_64-linux-gnu.so', '/usr/lib/python3.11/queue.py', '/home/kolin/ardupilot/modules/waf/waflib/Task.py', '/home/kolin/ardupilot/modules/waf/waflib/Runner.py', '/home/kolin/ardupilot/modules/waf/waflib/TaskGen.py', '/home/kolin/ardupilot/modules/waf/waflib/Build.py', '/home/kolin/ardupilot/modules/waf/waflib/Configure.py', '/home/kolin/ardupilot/modules/waf/waflib/Scripting.py', '/usr/lib/python3.11/lib-dynload/_json.cpython-311-x86_64-linux-gnu.so', '/usr/lib/python3.11/json/scanner.py', '/usr/lib/python3.11/json/decoder.py', '/usr/lib/python3.11/json/encoder.py', '/usr/lib/python3.11/json/__init__.py', '/usr/lib/python3.11/urllib/__init__.py', '/usr/lib/python3.11/ipaddress.py', '/usr/lib/python3.11/urllib/parse.py', '/usr/lib/python3.11/ntpath.py', '/usr/lib/python3.11/pathlib.py', '/home/kolin/ardupilot/Tools/ardupilotwaf/ap_persistent.py', '/home/kolin/ardupilot/Tools/ardupilotwaf/ardupilotwaf.py', '/usr/lib/python3.11/argparse.py', '/home/kolin/ardupilot/Tools/ardupilotwaf/../../libraries/AP_HAL_ChibiOS/hwdef/scripts/dma_resolver.py', '/usr/lib/python3.11/filecmp.py', '/home/kolin/ardupilot/Tools/ardupilotwaf/../../libraries/AP_HAL_ChibiOS/hwdef/scripts/chibios_hwdef.py', '/home/kolin/ardupilot/Tools/scripts/build_options.py', '/home/kolin/ardupilot/Tools/ardupilotwaf/boards.py', '/home/kolin/ardupilot/modules/waf/waflib/Tools/__init__.py', '/home/kolin/ardupilot/modules/waf/waflib/Tools/c_aliases.py', '/home/kolin/ardupilot/modules/waf/waflib/Tools/c_preproc.py', '/home/kolin/ardupilot/modules/waf/waflib/Tools/c_config.py', '/home/kolin/ardupilot/modules/waf/waflib/Tools/c_osx.py', '/home/kolin/ardupilot/modules/waf/waflib/Tools/c_tests.py', '/home/kolin/ardupilot/modules/waf/waflib/Tools/ccroot.py', '/home/kolin/ardupilot/modules/waf/waflib/Tools/compiler_cxx.py', '/home/kolin/ardupilot/modules/waf/waflib/Tools/ar.py', '/home/kolin/ardupilot/modules/waf/waflib/Tools/gxx.py', '/home/kolin/ardupilot/modules/waf/waflib/Tools/clangxx.py', '/home/kolin/ardupilot/modules/waf/waflib/Tools/c.py', '/home/kolin/ardupilot/modules/waf/waflib/Tools/cxx.py', '/home/kolin/ardupilot/modules/waf/waflib/Tools/msvc.py', '/home/kolin/ardupilot/modules/waf/waflib/Tools/icpc.py', '/home/kolin/ardupilot/modules/waf/waflib/Tools/compiler_c.py', '/home/kolin/ardupilot/modules/waf/waflib/extras/__init__.py', '/home/kolin/ardupilot/modules/waf/waflib/Tools/xlc.py', '/home/kolin/ardupilot/modules/waf/waflib/extras/c_bgxlc.py', '/home/kolin/ardupilot/modules/waf/waflib/Tools/gcc.py', '/home/kolin/ardupilot/modules/waf/waflib/extras/c_emscripten.py', '/home/kolin/ardupilot/modules/waf/waflib/extras/c_nec.py', '/home/kolin/ardupilot/modules/waf/waflib/Tools/clang.py', '/home/kolin/ardupilot/modules/waf/waflib/Tools/icc.py', '/home/kolin/ardupilot/modules/waf/waflib/Tools/waf_unit_test.py', '/home/kolin/ardupilot/modules/waf/waflib/Tools/python.py', '/home/kolin/ardupilot/Tools/ardupilotwaf/build_summary.py', '/home/kolin/ardupilot/Tools/ardupilotwaf/ap_library.py', '/home/kolin/ardupilot/Tools/ardupilotwaf/toolchain.py', '/home/kolin/ardupilot/modules/waf/waflib/Tools/asm.py', '/home/kolin/ardupilot/modules/waf/waflib/extras/gccdeps.py', '/home/kolin/ardupilot/Tools/ardupilotwaf/cxx_checks.py', '/home/kolin/ardupilot/Tools/ardupilotwaf/chibios.py', '/usr/lib/python3.11/xml/__init__.py', '/usr/lib/python3.11/xml/etree/__init__.py', '/usr/lib/python3.11/xml/etree/ElementPath.py', '/usr/lib/python3.11/xml/etree/ElementTree.py', '/home/kolin/ardupilot/Tools/ardupilotwaf/mavgen.py', '/home/kolin/ardupilot/Tools/ardupilotwaf/dronecangen.py', '/home/kolin/ardupilot/Tools/ardupilotwaf/git_submodule.py', '/home/kolin/ardupilot/Tools/ardupilotwaf/gtest.py', '/home/kolin/ardupilot/Tools/ardupilotwaf/static_linking.py', '/home/kolin/ardupilot/wscript']
CONFIGURE_HASH = b'\xb9\xf1\xe6\n\xfci\x14\xe8\x0cF\x92]\xc2\xbb\xef\x14'
CORTEX = 'cortex-m4'
COVERAGE = False
CPPPATH_ST = '-I%s'
CPU_FLAGS = ['-mcpu=cortex-m4', '-mfpu=fpv4-sp-d16', '-mfloat-abi=hard', '-DARM_MATH_CM4', '-u_printf_float']
CXX = ['/usr/lib/ccache/arm-none-eabi-g++']
CXXFLAGS = ['-Werror=implicit-fallthrough', '-fsingle-precision-constant', '-Wno-psabi', '-std=gnu++11', '-fdata-sections', '-ffunction-sections', '-fno-exceptions', '-fsigned-char', '-Wall', '-Wextra', '-Wpointer-arith', '-Wno-unused-parameter', '-Wno-missing-field-initializers', '-Wno-reorder', '-Wno-redundant-decls', '-Wno-unknown-pragmas', '-Wno-expansion-to-defined', '-Werror=cast-align', '-Werror=attributes', '-Werror=format-security', '-Werror=format-extra-args', '-Werror=enum-compare', '-Werror=format', '-Werror=array-bounds', '-Werror=uninitialized', '-Werror=init-self', '-Werror=narrowing', '-Werror=return-type', '-Werror=switch', '-Werror=sign-compare', '-Werror=type-limits', '-Werror=undef', '-Werror=unused-result', '-Werror=shadow', '-Werror=unused-value', '-Werror=unused-variable', '-Werror=delete-non-virtual-dtor', '-Wfatal-errors', '-Wno-trigraphs', '-Werror=parentheses', '-DARDUPILOT_BUILD', '-Wuninitialized', '-Warray-bounds', '-Wno-format-contains-nul', '-Werror=unused-but-set-variable', '-Werror=suggest-override', '-Werror=implicit-fallthrough', '-Werror=maybe-uninitialized', '-Werror=duplicated-cond', '-Werror=sizeof-pointer-div', '-D__AP_LINE__=__LINE__', '-ffunction-sections', '-fdata-sections', '-fsigned-char', '-Wall', '-Wextra', '-Werror=format', '-Wpointer-arith', '-Wcast-align', '-Wno-missing-field-initializers', '-Wno-unused-parameter', '-Wno-redundant-decls', '-Wno-unknown-pragmas', '-Wno-trigraphs', '-Werror=shadow', '-Werror=return-type', '-Werror=unused-result', '-Werror=unused-variable', '-Werror=narrowing', '-Werror=attributes', '-Werror=overflow', '-Werror=parentheses', '-Werror=format-extra-args', '-Werror=ignored-qualifiers', '-Werror=undef', '-DARDUPILOT_BUILD', '-Wno-format-contains-nul', '-fsingle-precision-constant', '-mcpu=cortex-m4', '-mfpu=fpv4-sp-d16', '-mfloat-abi=hard', '-DARM_MATH_CM4', '-u_printf_float', '-Wlogical-op', '-Wframe-larger-than=1300', '-Wno-attributes', '-fno-exceptions', '-Wall', '-Wextra', '-Wno-sign-compare', '-Wfloat-equal', '-Wpointer-arith', '-Wmissing-declarations', '-Wno-unused-parameter', '-Werror=array-bounds', '-Wfatal-errors', '-Werror=uninitialized', '-Werror=init-self', '-Werror=unused-but-set-variable', '-Wno-missing-field-initializers', '-Wno-trigraphs', '-fno-strict-aliasing', '-fomit-frame-pointer', '-falign-functions=16', '-ffunction-sections', '-fdata-sections', '-fno-strength-reduce', '-fno-builtin-printf', '-fno-builtin-fprintf', '-fno-builtin-vprintf', '-fno-builtin-vfprintf', '-fno-builtin-puts', '-mno-thumb-interwork', '-mthumb', '--specs=nano.specs', '--specs=nosys.specs', '-D__USE_CMSIS', '-Werror=deprecated-declarations', '-DNDEBUG=1', '-Wno-error=double-promotion', '-Wno-error=missing-declarations', '-Wno-error=float-equal', '-Wno-error=cpp', '-fno-rtti', '-fno-threadsafe-statics', '-Werror', '-DNEW_NOTHROW=new', '-fcheck-new', '-MMD', '-Os', '-include', 'ap_config.h']
CXXFLAGS_MACBUNDLE = ['-fPIC']
CXXFLAGS_cxxshlib = ['-fPIC']
CXXLNK_SRC_F = []
CXXLNK_TGT_F = ['-o']
CXX_NAME = 'gcc'
CXX_SRC_F = []
CXX_TGT_F = ['-c', '-o']
DC_DSDL_COMPILER_DIR = '/home/kolin/ardupilot/modules/DroneCAN/dronecan_dsdlc'
DEBUG = False
DEBUG_SYMBOLS = False
DEFINES = ['AP_CUSTOMCONTROL_ENABLED=0', 'AP_DDS_ENABLED=0', 'AP_SCRIPTING_CHECKS=1', 'AP_SIM_ENABLED=0', 'CANARD_ENABLE_TAO_OPTION=1', 'CONFIG_HAL_BOARD=HAL_BOARD_CHIBIOS', 'ENABLE_HEAP=1', 'ENABLE_ONVIF=0', 'HAVE_STD_NULLPTR_T=0', 'LUA_32BITS=1', 'USE_LIBC_REALLOC=0']
DEFINES_ST = '-D%s'
DEFINE_COMMENTS = {'WAF_BUILD': '', 'PYTHONDIR': '', 'PYTHONARCHDIR': '', '__STDC_FORMAT_MACROS': '', 'AP_SIGNED_FIRMWARE': '', 'HAVE_CMATH_ISFINITE': '', 'HAVE_CMATH_ISINF': '', 'HAVE_CMATH_ISNAN': '', 'NEED_CMATH_ISFINITE_STD_NAMESPACE': '', 'NEED_CMATH_ISINF_STD_NAMESPACE': '', 'NEED_CMATH_ISNAN_STD_NAMESPACE': '', 'HAVE_ENDIAN_H': '', 'HAVE_BYTESWAP_H': '', 'HAVE_MEMRCHR': '', '_GNU_SOURCE': ''}
DEST_BINFMT = 'elf'
DEST_CPU = 'arm'
DEST_OS = 'linux'
DOUBLE_PRECISION_LIBRARIES = {'AP_HAL_SITL': True, 'SITL': True}
DOUBLE_PRECISION_SOURCES = {'AP_GPS': ['AP_GPS_SBF.cpp']}
ENABLE_ASSERTS = False
ENABLE_CRASHDUMP = False
ENABLE_DDS = False
ENABLE_DFU_BOOT = 0
ENABLE_GCCDEPS = ['c', 'cxx']
ENABLE_HEADER_CHECKS = False
ENABLE_MALLOC_GUARD = False
ENABLE_ONVIF = False
ENABLE_STATS = False
EXT_FLASH_RESERVE_START_KB = '0'
EXT_FLASH_SIZE_MB = 0
FLASH_RESERVE_START_KB = '64'
FLASH_TOTAL = 983040
FORCE32BIT = False
GIT = ['/usr/bin/git']
GIT_SUBMODULES = ['ChibiOS', 'mavlink']
HAL_MAX_STACK_FRAME_SIZE = 'HAL_MAX_STACK_FRAME_SIZE=1300'
HAS_EXTERNAL_FLASH_SECTIONS = 0
HAS_GTEST = False
HAVE_CMATH_ISFINITE = 1
HAVE_CMATH_ISINF = 1
HAVE_CMATH_ISNAN = 1
HAVE_INTEL_HEX = False
HWDEF = '/home/kolin/ardupilot/libraries/AP_HAL_ChibiOS/hwdef/MatekF405-STD/hwdef.dat'
HWDEF_EXTRA = None
INCLUDES = ['/home/kolin/ardupilot/libraries/', '/home/kolin/ardupilot/libraries/AP_Common/missing', '/home/kolin/ardupilot/libraries/AP_GyroFFT/CMSIS_5/include', '/home/kolin/ardupilot/modules/lwip/src/include/compat/posix', '/home/kolin/ardupilot/modules/lwip/src/include', '/home/kolin/ardupilot/libraries/AP_Networking/config', '/home/kolin/ardupilot/libraries/AP_Networking/lwip_hal/include']
INT_FLASH_PRIMARY = False
IOMCU_FW = 0
LIB = ['gcc', 'm']
LIBDIR = '/usr/lib64'
LIBPATH_ST = '-L%s'
LIB_ST = '-l%s'
LINKFLAGS = ['-mcpu=cortex-m4', '-mfpu=fpv4-sp-d16', '-mfloat-abi=hard', '-DARM_MATH_CM4', '-u_printf_float', '-fomit-frame-pointer', '-falign-functions=16', '-ffunction-sections', '-fdata-sections', '-u_port_lock', '-u_port_unlock', '-u_exit', '-u_kill', '-u_getpid', '-u_errno', '-uchThdExit', '-fno-common', '-nostartfiles', '-mno-thumb-interwork', '-mthumb', '--specs=nano.specs', '--specs=nosys.specs', '-L/home/kolin/ardupilot/build/MatekF405-STD', '-L/home/kolin/ardupilot/modules/ChibiOS/os/common/startup/ARMCMx/compilers/GCC/ld', '-L/home/kolin/ardupilot/libraries/AP_HAL_ChibiOS/hwdef/common', '-Wl,-Map,Linker.map,--cref,--gc-sections,--no-warn-mismatch,--library-path=/ld,--script=ldscript.ld,--defsym=__process_stack_size__=0x1C00,--defsym=__main_stack_size__=0x600']
LINKFLAGS_MACBUNDLE = ['-bundle', '-undefined', 'dynamic_lookup']
LINKFLAGS_cshlib = ['-shared']
LINKFLAGS_cstlib = ['-Wl,-Bstatic']
LINKFLAGS_cxxshlib = ['-shared']
LINKFLAGS_cxxstlib = ['-Wl,-Bstatic']
LINK_CC = ['/usr/lib/ccache/arm-none-eabi-gcc']
LINK_CXX = ['/usr/lib/ccache/arm-none-eabi-g++']
MAIN_STACK = '0x600'
MAKE = ['/usr/bin/make']
MAVLINK_DIR = '/home/kolin/ardupilot/modules/mavlink'
MKFW_TOOLS = '/home/kolin/ardupilot/Tools/ardupilotwaf'
NEED_CMATH_ISFINITE_STD_NAMESPACE = 1
NEED_CMATH_ISINF_STD_NAMESPACE = 1
NEED_CMATH_ISNAN_STD_NAMESPACE = 1
NM = ['/opt/gcc-arm-none-eabi-10-2020-q4-major/bin/arm-none-eabi-nm']
OBJCOPY = ['/opt/gcc-arm-none-eabi-10-2020-q4-major/bin/arm-none-eabi-objcopy']
OPTIONS = {'colors': 'auto', 'jobs': 12, 'keep': 0, 'verbose': 0, 'zones': '', 'profile': 0, 'pdb': 0, 'whelp': 0, 'out': '', 'top': '', 'no_lock_in_run': '', 'no_lock_in_out': '', 'no_lock_in_top': '', 'prefix': '/usr', 'bindir': None, 'libdir': None, 'progress_bar': 0, 'targets': '', 'files': '', 'destdir': '', 'force': False, 'distcheck_args': None, 'check_cxx_compiler': None, 'check_c_compiler': None, 'no_tests': False, 'all_tests': False, 'clear_failed_tests': False, 'testcmd': False, 'dump_test_scripts': False, 'pyc': 1, 'pyo': 1, 'nopycache': None, 'python': None, 'pythondir': None, 'pythonarchdir': None, 'program_group': [], 'upload': None, 'upload_port': None, 'upload_blueos': None, 'upload_force': None, 'define': None, 'check_verbose': None, 'clean_all_sigs': None, 'asan': None, 'ubsan': None, 'ubsan_abort': None, 'summary_all': None, 'board': 'MatekF405-STD', 'debug': False, 'debug_symbols': False, 'disable_watchdog': False, 'coverage': False, 'Werror': None, 'disable_Werror': None, 'toolchain': None, 'disable_gccdeps': False, 'enable_asserts': False, 'save_temps': False, 'enable_malloc_guard': False, 'enable_stats': False, 'bootloader': False, 'signed_fw': False, 'private_key': None, 'autoconfig': True, 'submodule_update': True, 'enable_header_checks': False, 'default_parameters': None, 'enable_math_check_indexes': False, 'disable_scripting': False, 'enable_scripting': False, 'no_gcs': False, 'scripting_checks': True, 'enable_onvif': False, 'scripting_docs': False, 'enable_opendroneid': False, 'enable_check_firmware': False, 'enable_custom_controller': False, 'enable_gps_logging': False, 'enable_dds': None, 'disable_networking': None, 'enable_networking_tests': None, 'enable_dronecan_tests': False, 'apstatedir': '', 'rsync_dest': '', 'enable_benchmarks': False, 'enable_lttng': False, 'disable_libiio': False, 'disable_tests': False, 'enable_sfml': False, 'enable_sfml_joystick': False, 'enable_sfml_audio': False, 'osd': False, 'osd_fonts': False, 'sitl_osd': False, 'sitl_rgbled': False, 'force_32bit': False, 'build_dates': False, 'sitl_flash_storage': False, 'ekf_double': False, 'ekf_single': False, 'static': False, 'postype_single': False, 'consistent_builds': False, 'extra_hwdef': None, 'assert_cc_version': None, 'num_aux_imus': 0, 'board_start_time': 0, 'enable_new_checking': False, 'enable_AHRS_EXT': False, 'disable_AHRS_EXT': False, 'enable_AHRS_EXT_VECTORNAV': False, 'disable_AHRS_EXT_VECTORNAV': False, 'enable_BARO_WIND_COMP': False, 'disable_BARO_WIND_COMP': False, 'enable_EKF2': False, 'disable_EKF2': False, 'enable_EKF3': False, 'disable_EKF3': False, 'enable_EKF3_EXTNAV': False, 'disable_EKF3_EXTNAV': False, 'enable_EKF3_OPTFLOW': False, 'disable_EKF3_OPTFLOW': False, 'enable_EKF3_WINDEST': False, 'disable_EKF3_WINDEST': False, 'enable_InertialLabs': False, 'disable_InertialLabs': False, 'enable_MicroStrain5': False, 'disable_MicroStrain5': False, 'enable_MicroStrain7': False, 'disable_MicroStrain7': False, 'enable_VISUALODOM': False, 'disable_VISUALODOM': False, 'enable_LONG_TEXT': False, 'disable_LONG_TEXT': False, 'enable_FETTecOneWire': False, 'disable_FETTecOneWire': False, 'enable_HimarkServo': False, 'disable_HimarkServo': False, 'enable_HobbywingESC': False, 'disable_HobbywingESC': False, 'enable_KDECAN': False, 'disable_KDECAN': False, 'enable_RobotisServo': False, 'disable_RobotisServo': False, 'enable_SBUS_Output': False, 'disable_SBUS_Output': False, 'enable_Volz': False, 'disable_Volz': False, 'enable_Volz_DroneCAN': False, 'disable_Volz_DroneCAN': False, 'enable_ASP5033': False, 'disable_ASP5033': False, 'enable_Analog': False, 'disable_Analog': False, 'enable_DLVR': False, 'disable_DLVR': False, 'enable_DRONECAN_ASPD': False, 'disable_DRONECAN_ASPD': False, 'enable_MS4525': False, 'disable_MS4525': False, 'enable_MS5525': False, 'disable_MS5525': False, 'enable_MSP_AIRSPEED': False, 'disable_MSP_AIRSPEED': False, 'enable_NMEA_AIRSPEED': False, 'disable_NMEA_AIRSPEED': False, 'enable_SDP3X': False, 'disable_SDP3X': False, 'enable_BARO_PROBEXT': False, 'disable_BARO_PROBEXT': False, 'enable_BARO_TEMPCAL': False, 'disable_BARO_TEMPCAL': False, 'enable_BMP085': False, 'disable_BMP085': False, 'enable_BMP280': False, 'disable_BMP280': False, 'enable_BMP388': False, 'disable_BMP388': False, 'enable_BMP581': False, 'disable_BMP581': False, 'enable_DPS280': False, 'disable_DPS280': False, 'enable_DRONECAN_BARO': False, 'disable_DRONECAN_BARO': False, 'enable_EXTERNALAHRS': False, 'disable_EXTERNALAHRS': False, 'enable_FBM320': False, 'disable_FBM320': False, 'enable_KELLERLD': False, 'disable_KELLERLD': False, 'enable_LPS2XH': False, 'disable_LPS2XH': False, 'enable_MS56XX': False, 'disable_MS56XX': False, 'enable_MSP_BARO': False, 'disable_MSP_BARO': False, 'enable_SPL06': False, 'disable_SPL06': False, 'enable_BATTERY_ESC_TELEM_OUT': False, 'disable_BATTERY_ESC_TELEM_OUT': False, 'enable_BATTERY_FUELFLOW': False, 'disable_BATTERY_FUELFLOW': False, 'enable_BATTERY_FUELLEVEL_ANALOG': False, 'disable_BATTERY_FUELLEVEL_ANALOG': False, 'enable_BATTERY_FUELLEVEL_PWM': False, 'disable_BATTERY_FUELLEVEL_PWM': False, 'enable_BATTERY_INA2XX': False, 'disable_BATTERY_INA2XX': False, 'enable_BATTERY_SMBUS': False, 'disable_BATTERY_SMBUS': False, 'enable_BATTERY_SUM': False, 'disable_BATTERY_SUM': False, 'enable_BATTERY_SYNTHETIC_CURRENT': False, 'disable_BATTERY_SYNTHETIC_CURRENT': False, 'enable_BATTERY_WATT_MAX': False, 'disable_BATTERY_WATT_MAX': False, 'enable_CAN_Logging': False, 'disable_CAN_Logging': False, 'enable_DroneCAN': False, 'disable_DroneCAN': False, 'enable_Camera': False, 'disable_Camera': False, 'enable_Camera_FOV_Status': False, 'disable_Camera_FOV_Status': False, 'enable_Camera_Info_From_Script': False, 'disable_Camera_Info_From_Script': False, 'enable_Camera_MAVLink': False, 'disable_Camera_MAVLink': False, 'enable_Camera_MAVLinkCamV2': False, 'disable_Camera_MAVLinkCamV2': False, 'enable_Camera_Mount': False, 'disable_Camera_Mount': False, 'enable_Camera_Relay': False, 'disable_Camera_Relay': False, 'enable_Camera_Servo': False, 'disable_Camera_Servo': False, 'enable_Camera_Solo': False, 'disable_Camera_Solo': False, 'enable_Camera_ThermalRange': False, 'disable_Camera_ThermalRange': False, 'enable_RUNCAM': False, 'disable_RUNCAM': False, 'enable_AK09916': False, 'disable_AK09916': False, 'enable_AK8963': False, 'disable_AK8963': False, 'enable_BMM150': False, 'disable_BMM150': False, 'enable_BMM350': False, 'disable_BMM350': False, 'enable_CompassLearn': False, 'disable_CompassLearn': False, 'enable_DRONECAN_COMPASS': False, 'disable_DRONECAN_COMPASS': False, 'enable_DRONECAN_COMPASS_HIRES': False, 'disable_DRONECAN_COMPASS_HIRES': False, 'enable_EXTERNALAHRS_COMPASS': False, 'disable_EXTERNALAHRS_COMPASS': False, 'enable_FixedYawCal': False, 'disable_FixedYawCal': False, 'enable_HMC5843': False, 'disable_HMC5843': False, 'enable_ICM20948': False, 'disable_ICM20948': False, 'enable_IIS2MDC': False, 'disable_IIS2MDC': False, 'enable_IST8308': False, 'disable_IST8308': False, 'enable_IST8310': False, 'disable_IST8310': False, 'enable_LIS3MDL': False, 'disable_LIS3MDL': False, 'enable_LSM303D': False, 'disable_LSM303D': False, 'enable_LSM9DS1': False, 'disable_LSM9DS1': False, 'enable_MAG3110': False, 'disable_MAG3110': False, 'enable_MMC3416': False, 'disable_MMC3416': False, 'enable_MMC5XX3': False, 'disable_MMC5XX3': False, 'enable_QMC5883L': False, 'disable_QMC5883L': False, 'enable_RM3100': False, 'disable_RM3100': False, 'enable_AC_PAYLOAD_PLACE_ENABLED': False, 'disable_AC_PAYLOAD_PLACE_ENABLED': False, 'enable_COPTER_ADVANCED_FAILSAFE': False, 'disable_COPTER_ADVANCED_FAILSAFE': False, 'enable_MODE_BRAKE': False, 'disable_MODE_BRAKE': False, 'enable_MODE_FLIP': False, 'disable_MODE_FLIP': False, 'enable_MODE_FLOWHOLD': False, 'disable_MODE_FLOWHOLD': False, 'enable_MODE_FOLLOW': False, 'disable_MODE_FOLLOW': False, 'enable_MODE_GUIDED_NOGPS': False, 'disable_MODE_GUIDED_NOGPS': False, 'enable_MODE_SPORT': False, 'disable_MODE_SPORT': False, 'enable_MODE_SYSTEMID': False, 'disable_MODE_SYSTEMID': False, 'enable_MODE_TURTLE': False, 'disable_MODE_TURTLE': False, 'enable_MODE_ZIGZAG': False, 'disable_MODE_ZIGZAG': False, 'enable_CRASHCATCHER': False, 'disable_CRASHCATCHER': False, 'enable_KILL_IMU': False, 'disable_KILL_IMU': False, 'enable_ESC_EXTENDED_TELM': False, 'disable_ESC_EXTENDED_TELM': False, 'enable_PICCOLOCAN': False, 'disable_PICCOLOCAN': False, 'enable_TORQEEDO': False, 'disable_TORQEEDO': False, 'enable_APJ_TOOL_PARAMETERS': False, 'disable_APJ_TOOL_PARAMETERS': False, 'enable_FILESYSTEM_MISSION': False, 'disable_FILESYSTEM_MISSION': False, 'enable_FILESYSTEM_PARAM': False, 'disable_FILESYSTEM_PARAM': False, 'enable_FILESYSTEM_ROMFS': False, 'disable_FILESYSTEM_ROMFS': False, 'enable_FILESYSTEM_SYS': False, 'disable_FILESYSTEM_SYS': False, 'enable_DroneCAN_GPS_Out': False, 'disable_DroneCAN_GPS_Out': False, 'enable_ERB': False, 'disable_ERB': False, 'enable_GPS_Blending': False, 'disable_GPS_Blending': False, 'enable_GSOF': False, 'disable_GSOF': False, 'enable_MAV': False, 'disable_MAV': False, 'enable_NMEA_GPS': False, 'disable_NMEA_GPS': False, 'enable_NMEA_UNICORE': False, 'disable_NMEA_UNICORE': False, 'enable_NOVA': False, 'disable_NOVA': False, 'enable_SBF': False, 'disable_SBF': False, 'enable_SBP': False, 'disable_SBP': False, 'enable_SBP2': False, 'disable_SBP2': False, 'enable_SIRF': False, 'disable_SIRF': False, 'enable_UBLOX': False, 'disable_UBLOX': False, 'enable_GENERATOR': False, 'disable_GENERATOR': False, 'enable_GENERATOR_IE2400': False, 'disable_GENERATOR_IE2400': False, 'enable_GENERATOR_IE650': False, 'disable_GENERATOR_IE650': False, 'enable_GENERATOR_RICHENPOWER': False, 'disable_GENERATOR_RICHENPOWER': False, 'enable_ALEXMOS': False, 'disable_ALEXMOS': False, 'enable_CADDX': False, 'disable_CADDX': False, 'enable_GREMSY': False, 'disable_GREMSY': False, 'enable_MOUNT': False, 'disable_MOUNT': False, 'enable_SERVO': False, 'disable_SERVO': False, 'enable_SIYI': False, 'disable_SIYI': False, 'enable_SOLOGIMBAL': False, 'disable_SOLOGIMBAL': False, 'enable_STORM32_MAVLINK': False, 'disable_STORM32_MAVLINK': False, 'enable_STORM32_SERIAL': False, 'disable_STORM32_SERIAL': False, 'enable_TOPOTEK': False, 'disable_TOPOTEK': False, 'enable_VIEWPRO': False, 'disable_VIEWPRO': False, 'enable_XACTI': False, 'disable_XACTI': False, 'enable_EFI': False, 'disable_EFI': False, 'enable_EFI_CURRAWONGECU': False, 'disable_EFI_CURRAWONGECU': False, 'enable_EFI_DRONECAN': False, 'disable_EFI_DRONECAN': False, 'enable_EFI_HIRTH': False, 'disable_EFI_HIRTH': False, 'enable_EFI_Lutan': False, 'disable_EFI_Lutan': False, 'enable_EFI_MAV': False, 'disable_EFI_MAV': False, 'enable_EFI_MegaSquirt': False, 'disable_EFI_MegaSquirt': False, 'enable_EFI_NMPWU': False, 'disable_EFI_NMPWU': False, 'enable_ICE_Engine': False, 'disable_ICE_Engine': False, 'enable_BatchSampler': False, 'disable_BatchSampler': False, 'enable_HarmonicNotches': False, 'disable_HarmonicNotches': False, 'enable_TEMPCAL': False, 'disable_TEMPCAL': False, 'enable_ADSB': False, 'disable_ADSB': False, 'enable_ADSB_SAGETECH': False, 'disable_ADSB_SAGETECH': False, 'enable_ADSB_SAGETECH_MXS': False, 'disable_ADSB_SAGETECH_MXS': False, 'enable_ADSB_UAVIONIX': False, 'disable_ADSB_UAVIONIX': False, 'enable_ADSB_UAVIONX_UCP': False, 'disable_ADSB_UAVIONX_UCP': False, 'enable_AIS': False, 'disable_AIS': False, 'enable_OpenDroneID': False, 'disable_OpenDroneID': False, 'enable_AP_MAVLINK_BATTERY2_ENABLED': False, 'disable_AP_MAVLINK_BATTERY2_ENABLED': False, 'enable_AP_MAVLINK_FTP_ENABLED': False, 'disable_AP_MAVLINK_FTP_ENABLED': False, 'enable_FENCEPOINT_PROTOCOL': False, 'disable_FENCEPOINT_PROTOCOL': False, 'enable_HIGHLAT2': False, 'disable_HIGHLAT2': False, 'enable_MAVLINK_MSG_MISSION_REQUEST': False, 'disable_MAVLINK_MSG_MISSION_REQUEST': False, 'enable_MAVLINK_MSG_RC_CHANNELS_RAW': False, 'disable_MAVLINK_MSG_RC_CHANNELS_RAW': False, 'enable_MAVLINK_VERSION_REQUEST': False, 'disable_MAVLINK_VERSION_REQUEST': False, 'enable_MAV_CMD_SET_HAGL': False, 'disable_MAV_CMD_SET_HAGL': False, 'enable_MAV_DEVICE_OP': False, 'disable_MAV_DEVICE_OP': False, 'enable_MAV_MSG_HIL_GPS': False, 'disable_MAV_MSG_HIL_GPS': False, 'enable_MAV_MSG_MOUNT_CONFIGURE': False, 'disable_MAV_MSG_MOUNT_CONFIGURE': False, 'enable_MAV_MSG_MOUNT_CONTROL': False, 'disable_MAV_MSG_MOUNT_CONTROL': False, 'enable_MAV_MSG_RELAY_STATUS': False, 'disable_MAV_MSG_RELAY_STATUS': False, 'enable_MAV_MSG_SERIAL_CONTROL': False, 'disable_MAV_MSG_SERIAL_CONTROL': False, 'enable_MAV_SERVO_RELAY': False, 'disable_MAV_SERVO_RELAY': False, 'enable_RALLYPOINT_PROTOCOL': False, 'disable_RALLYPOINT_PROTOCOL': False, 'enable_REQUEST_AUTOPILOT_CAPA': False, 'disable_REQUEST_AUTOPILOT_CAPA': False, 'enable_VIDEO_STREAM_INFORMATION': False, 'disable_VIDEO_STREAM_INFORMATION': False, 'enable_MSP': False, 'disable_MSP': False, 'enable_MSP_COMPASS': False, 'disable_MSP_COMPASS': False, 'enable_MSP_DISPLAYPORT': False, 'disable_MSP_DISPLAYPORT': False, 'enable_MSP_GPS': False, 'disable_MSP_GPS': False, 'enable_MSP_OPTICALFLOW': False, 'disable_MSP_OPTICALFLOW': False, 'enable_MSP_RANGEFINDER': False, 'disable_MSP_RANGEFINDER': False, 'enable_MSP_SENSORS': False, 'disable_MSP_SENSORS': False, 'enable_MISSION_NAV_PAYLOAD_PLACE': False, 'disable_MISSION_NAV_PAYLOAD_PLACE': False, 'enable_CAN_MCAST': False, 'disable_CAN_MCAST': False, 'enable_PPP': False, 'disable_PPP': False, 'enable_DISPLAY': False, 'disable_DISPLAY': False, 'enable_LED_CONTROL': False, 'disable_LED_CONTROL': False, 'enable_NOTIFY_NCP5623': False, 'disable_NOTIFY_NCP5623': False, 'enable_NOTIFY_NEOPIXEL': False, 'disable_NOTIFY_NEOPIXEL': False, 'enable_NOTIFY_PROFILED': False, 'disable_NOTIFY_PROFILED': False, 'enable_NOTIFY_PROFILED_SPI': False, 'disable_NOTIFY_PROFILED_SPI': False, 'enable_PLAY_TUNE': False, 'disable_PLAY_TUNE': False, 'enable_TONEALARM': False, 'disable_TONEALARM': False, 'enable_OSD': False, 'disable_OSD': False, 'enable_OSD_EXTENDED_LINK_STATS': False, 'disable_OSD_EXTENDED_LINK_STATS': False, 'enable_OSD_PARAM': False, 'disable_OSD_PARAM': False, 'enable_OSD_SIDEBARS': False, 'disable_OSD_SIDEBARS': False, 'enable_PLUSCODE': False, 'disable_PLUSCODE': False, 'enable_BOOTLOADER_FLASHING': False, 'disable_BOOTLOADER_FLASHING': False, 'enable_Buttons': False, 'disable_Buttons': False, 'enable_COMPASS_CAL': False, 'disable_COMPASS_CAL': False, 'enable_CUSTOM_ROTATIONS': False, 'disable_CUSTOM_ROTATIONS': False, 'enable_DRONECAN_SERIAL': False, 'disable_DRONECAN_SERIAL': False, 'enable_GyroFFT': False, 'disable_GyroFFT': False, 'enable_Logging': False, 'disable_Logging': False, 'enable_NMEA_OUTPUT': False, 'disable_NMEA_OUTPUT': False, 'enable_SCRIPTING': False, 'disable_SCRIPTING': False, 'enable_SCRIPTING_SERIALDEVICE': False, 'disable_SCRIPTING_SERIALDEVICE': False, 'enable_SDCARD_FORMATTING': False, 'disable_SDCARD_FORMATTING': False, 'enable_SDCARD_MISSION': False, 'disable_SDCARD_MISSION': False, 'enable_SERIALDEVICE_REGISTER': False, 'disable_SERIALDEVICE_REGISTER': False, 'enable_SLCAN': False, 'disable_SLCAN': False, 'enable_GRIPPER': False, 'disable_GRIPPER': False, 'enable_LANDING_GEAR': False, 'disable_LANDING_GEAR': False, 'enable_RELAY': False, 'disable_RELAY': False, 'enable_SERVORELAY_EVENTS': False, 'disable_SERVORELAY_EVENTS': False, 'enable_SPRAYER': False, 'disable_SPRAYER': False, 'enable_WINCH': False, 'disable_WINCH': False, 'enable_WINCH_DAIWA': False, 'disable_WINCH_DAIWA': False, 'enable_WINCH_PWM': False, 'disable_WINCH_PWM': False, 'enable_ADVANCED_FAILSAFE': False, 'disable_ADVANCED_FAILSAFE': False, 'enable_AP_TX_TUNING': False, 'disable_AP_TX_TUNING': False, 'enable_DEEPSTALL': False, 'disable_DEEPSTALL': False, 'enable_PLANE_BLACKBOX': False, 'disable_PLANE_BLACKBOX': False, 'enable_PLANE_GLIDER_PULLUP': False, 'disable_PLANE_GLIDER_PULLUP': False, 'enable_PLANE_GUIDED_SLEW': False, 'disable_PLANE_GUIDED_SLEW': False, 'enable_QAUTOTUNE': False, 'disable_QAUTOTUNE': False, 'enable_QUADPLANE': False, 'disable_QUADPLANE': False, 'enable_QUICKTUNE': False, 'disable_QUICKTUNE': False, 'enable_SOARING': False, 'disable_SOARING': False, 'enable_PrecLand': False, 'disable_PrecLand': False, 'enable_PrecLand___Companion': False, 'disable_PrecLand___Companion': False, 'enable_PrecLand___IRLock': False, 'disable_PrecLand___IRLock': False, 'enable_PROXIMITY': False, 'disable_PROXIMITY': False, 'enable_PROXIMITY_CYGBOT': False, 'disable_PROXIMITY_CYGBOT': False, 'enable_PROXIMITY_DRONECAN': False, 'disable_PROXIMITY_DRONECAN': False, 'enable_PROXIMITY_HEXSOONRADAR_ENABLED': False, 'disable_PROXIMITY_HEXSOONRADAR_ENABLED': False, 'enable_PROXIMITY_LIGHTWARE_SF40C': False, 'disable_PROXIMITY_LIGHTWARE_SF40C': False, 'enable_PROXIMITY_LIGHTWARE_SF45B': False, 'disable_PROXIMITY_LIGHTWARE_SF45B': False, 'enable_PROXIMITY_MAV': False, 'disable_PROXIMITY_MAV': False, 'enable_PROXIMITY_MR72_ENABLED': False, 'disable_PROXIMITY_MR72_ENABLED': False, 'enable_PROXIMITY_RANGEFINDER': False, 'disable_PROXIMITY_RANGEFINDER': False, 'enable_PROXIMITY_RPLIDARA2': False, 'disable_PROXIMITY_RPLIDARA2': False, 'enable_PROXIMITY_TERRARANGERTOWER': False, 'disable_PROXIMITY_TERRARANGERTOWER': False, 'enable_PROXIMITY_TERRARANGERTOWEREVO': False, 'disable_PROXIMITY_TERRARANGERTOWEREVO': False, 'enable_RC_CRSF': False, 'disable_RC_CRSF': False, 'enable_RC_GHST': False, 'disable_RC_GHST': False, 'enable_RC_IBUS': False, 'disable_RC_IBUS': False, 'enable_RC_MAVLINK_RADIO': False, 'disable_RC_MAVLINK_RADIO': False, 'enable_RC_PPMSUM': False, 'disable_RC_PPMSUM': False, 'enable_RC_Protocol': False, 'disable_RC_Protocol': False, 'enable_RC_SBUS': False, 'disable_RC_SBUS': False, 'enable_RC_SRXL': False, 'disable_RC_SRXL': False, 'enable_RC_SRXL2': False, 'disable_RC_SRXL2': False, 'enable_RC_ST24': False, 'disable_RC_ST24': False, 'enable_RC_SUMD': False, 'disable_RC_SUMD': False, 'enable_RSSI': False, 'disable_RSSI': False, 'enable_RANGEFINDER': False, 'disable_RANGEFINDER': False, 'enable_RANGEFINDER_ANALOG': False, 'disable_RANGEFINDER_ANALOG': False, 'enable_RANGEFINDER_BENEWAKE_CAN': False, 'disable_RANGEFINDER_BENEWAKE_CAN': False, 'enable_RANGEFINDER_BENEWAKE_TF02': False, 'disable_RANGEFINDER_BENEWAKE_TF02': False, 'enable_RANGEFINDER_BENEWAKE_TF03': False, 'disable_RANGEFINDER_BENEWAKE_TF03': False, 'enable_RANGEFINDER_BLPING': False, 'disable_RANGEFINDER_BLPING': False, 'enable_RANGEFINDER_DRONECAN': False, 'disable_RANGEFINDER_DRONECAN': False, 'enable_RANGEFINDER_GYUS42V2': False, 'disable_RANGEFINDER_GYUS42V2': False, 'enable_RANGEFINDER_HC_SR04': False, 'disable_RANGEFINDER_HC_SR04': False, 'enable_RANGEFINDER_HEXSOONRADAR': False, 'disable_RANGEFINDER_HEXSOONRADAR': False, 'enable_RANGEFINDER_JRE_SERIAL': False, 'disable_RANGEFINDER_JRE_SERIAL': False, 'enable_RANGEFINDER_LANBAO': False, 'disable_RANGEFINDER_LANBAO': False, 'enable_RANGEFINDER_LEDDARONE': False, 'disable_RANGEFINDER_LEDDARONE': False, 'enable_RANGEFINDER_LEDDARVU8': False, 'disable_RANGEFINDER_LEDDARVU8': False, 'enable_RANGEFINDER_LIGHTWARE_SERIAL': False, 'disable_RANGEFINDER_LIGHTWARE_SERIAL': False, 'enable_RANGEFINDER_LUA': False, 'disable_RANGEFINDER_LUA': False, 'enable_RANGEFINDER_LWI2C': False, 'disable_RANGEFINDER_LWI2C': False, 'enable_RANGEFINDER_MAVLINK': False, 'disable_RANGEFINDER_MAVLINK': False, 'enable_RANGEFINDER_MAXBOTIX_SERIAL': False, 'disable_RANGEFINDER_MAXBOTIX_SERIAL': False, 'enable_RANGEFINDER_MAXSONARI2CXL': False, 'disable_RANGEFINDER_MAXSONARI2CXL': False, 'enable_RANGEFINDER_NMEA': False, 'disable_RANGEFINDER_NMEA': False, 'enable_RANGEFINDER_NOOPLOOP': False, 'disable_RANGEFINDER_NOOPLOOP': False, 'enable_RANGEFINDER_NRA24_CAN': False, 'disable_RANGEFINDER_NRA24_CAN': False, 'enable_RANGEFINDER_PULSEDLIGHTLRF': False, 'disable_RANGEFINDER_PULSEDLIGHTLRF': False, 'enable_RANGEFINDER_PWM': False, 'disable_RANGEFINDER_PWM': False, 'enable_RANGEFINDER_RDS02UF': False, 'disable_RANGEFINDER_RDS02UF': False, 'enable_RANGEFINDER_TOFSF_I2C': False, 'disable_RANGEFINDER_TOFSF_I2C': False, 'enable_RANGEFINDER_TOFSP_CAN': False, 'disable_RANGEFINDER_TOFSP_CAN': False, 'enable_RANGEFINDER_TRI2C': False, 'disable_RANGEFINDER_TRI2C': False, 'enable_RANGEFINDER_TR_SERIAL': False, 'disable_RANGEFINDER_TR_SERIAL': False, 'enable_RANGEFINDER_USD1_CAN': False, 'disable_RANGEFINDER_USD1_CAN': False, 'enable_RANGEFINDER_USD1_SERIAL': False, 'disable_RANGEFINDER_USD1_SERIAL': False, 'enable_RANGEFINDER_VL53L0X': False, 'disable_RANGEFINDER_VL53L0X': False, 'enable_RANGEFINDER_VL53L1X': False, 'disable_RANGEFINDER_VL53L1X': False, 'enable_RANGEFINDER_WASP': False, 'disable_RANGEFINDER_WASP': False, 'enable_RFND_BENEWAKE_TFMINI': False, 'disable_RFND_BENEWAKE_TFMINI': False, 'enable_RFND_BENEWAKE_TFMINIPLUS': False, 'disable_RFND_BENEWAKE_TFMINIPLUS': False, 'enable_ROVER_ADVANCED_FAILSAFE': False, 'disable_ROVER_ADVANCED_FAILSAFE': False, 'enable_AC_AVOID': False, 'disable_AC_AVOID': False, 'enable_AC_OAPATHPLANNER': False, 'disable_AC_OAPATHPLANNER': False, 'enable_FENCE': False, 'disable_FENCE': False, 'enable_PARACHUTE': False, 'disable_PARACHUTE': False, 'enable_RALLY': False, 'disable_RALLY': False, 'enable_AIRSPEED': False, 'disable_AIRSPEED': False, 'enable_BEACON': False, 'disable_BEACON': False, 'enable_GPS_MOVING_BASELINE': False, 'disable_GPS_MOVING_BASELINE': False, 'enable_IMU_ON_UART': False, 'disable_IMU_ON_UART': False, 'enable_OPTICALFLOW': False, 'disable_OPTICALFLOW': False, 'enable_OPTICALFLOW_CXOF': False, 'disable_OPTICALFLOW_CXOF': False, 'enable_OPTICALFLOW_HEREFLOW': False, 'disable_OPTICALFLOW_HEREFLOW': False, 'enable_OPTICALFLOW_MAV': False, 'disable_OPTICALFLOW_MAV': False, 'enable_OPTICALFLOW_ONBOARD': False, 'disable_OPTICALFLOW_ONBOARD': False, 'enable_OPTICALFLOW_PIXART': False, 'disable_OPTICALFLOW_PIXART': False, 'enable_OPTICALFLOW_PX4FLOW': False, 'disable_OPTICALFLOW_PX4FLOW': False, 'enable_OPTICALFLOW_UPFLOW': False, 'disable_OPTICALFLOW_UPFLOW': False, 'enable_RPM': False, 'disable_RPM': False, 'enable_RPM_DRONECAN': False, 'disable_RPM_DRONECAN': False, 'enable_RPM_EFI': False, 'disable_RPM_EFI': False, 'enable_RPM_ESC_TELEM': False, 'disable_RPM_ESC_TELEM': False, 'enable_RPM_GENERATOR': False, 'disable_RPM_GENERATOR': False, 'enable_RPM_HARMONIC_NOTCH': False, 'disable_RPM_HARMONIC_NOTCH': False, 'enable_RPM_PIN': False, 'disable_RPM_PIN': False, 'enable_TEMP': False, 'disable_TEMP': False, 'enable_TEMP_MCP9600': False, 'disable_TEMP_MCP9600': False, 'enable_TEMP_MLX90614': False, 'disable_TEMP_MLX90614': False, 'enable_TEMP_TSYS01': False, 'disable_TEMP_TSYS01': False, 'enable_TEMP_TSYS03': False, 'disable_TEMP_TSYS03': False, 'enable_AUX_FUNCTION_STRINGS': False, 'disable_AUX_FUNCTION_STRINGS': False, 'enable_Bidirectional_FrSky_Telemetry': False, 'disable_Bidirectional_FrSky_Telemetry': False, 'enable_CRSF': False, 'disable_CRSF': False, 'enable_CRSFText': False, 'disable_CRSFText': False, 'enable_FrSky': False, 'disable_FrSky': False, 'enable_FrSky_D': False, 'disable_FrSky_D': False, 'enable_FrSky_SPort': False, 'disable_FrSky_SPort': False, 'enable_FrSky_SPort_PassThrough': False, 'disable_FrSky_SPort_PassThrough': False, 'enable_GHST': False, 'disable_GHST': False, 'enable_HOTT': False, 'disable_HOTT': False, 'enable_LTM': False, 'disable_LTM': False, 'enable_SPEKTRUM': False, 'disable_SPEKTRUM': False, 'enable_i_BUS': False, 'disable_i_BUS': False, 'enable_DECA': False, 'disable_DECA': False, 'enable_DODECAHEXA': False, 'disable_DODECAHEXA': False, 'enable_HEXA': False, 'disable_HEXA': False, 'enable_OCTA': False, 'disable_OCTA': False, 'enable_OCTAQUAD': False, 'disable_OCTAQUAD': False, 'enable_QUAD': False, 'disable_QUAD': False, 'enable_Y6': False, 'disable_Y6': False, 'enable_SMARTAUDIO': False, 'disable_SMARTAUDIO': False, 'enable_TRAMP': False, 'disable_TRAMP': False, 'enable_VIDEO_TX': False, 'disable_VIDEO_TX': False}
PERIPH_FW = 0
PREFIX = '/usr'
PROCESS_STACK = '0x1C00'
PT_DIR = '/home/kolin/ardupilot/Tools/ardupilotwaf/chibios/image'
PYC = 1
PYFLAGS = ''
PYFLAGS_OPT = '-O'
PYO = 1
PYTAG = 'cpython-311'
PYTHON = ['/usr/bin/python3']
PYTHONARCHDIR = '/usr/lib/python3/dist-packages'
PYTHONDIR = '/usr/lib/python3/dist-packages'
PYTHON_VERSION = '3.11'
ROMFS_FILES = [('font0.bin', 'libraries/AP_OSD/fonts/font0.bin'), ('hwdef.dat', '/home/kolin/ardupilot/build/MatekF405-STD/hw.dat'), ('bootloader.bin', '/home/kolin/ardupilot/Tools/bootloaders/MatekF405-STD_bl.bin')]
RPATH_ST = '-Wl,-rpath,%s'
SAVE_TEMPS = False
SERIAL_PORT = '/home/kolin/ardupilot/dev/serial/by-id/*_STLink*'
SHLIB_MARKER = '-Wl,-Bdynamic'
SIZE = ['/opt/gcc-arm-none-eabi-10-2020-q4-major/bin/arm-none-eabi-size']
SONAME_ST = '-Wl,-h,%s'
SRCROOT = '/home/kolin/ardupilot'
STLIBPATH_ST = '-L%s'
STLIB_MARKER = '-Wl,-Bstatic'
STLIB_ST = '-l%s'
SUBMODULE_UPDATE = True
TOOLCHAIN = 'arm-none-eabi'
TOOLS_SCRIPTS = '/home/kolin/ardupilot/Tools/scripts'
UPLOAD_TOOLS = '/home/kolin/ardupilot/Tools/scripts'
USBID = '0x1209/0x5741'
WITH_FATFS = '1'
cfg_files = ['/home/kolin/ardupilot/build/MatekF405-STD/ap_config.h']
cprogram_PATTERN = '%s'
cshlib_PATTERN = 'lib%s.so'
cstlib_PATTERN = 'lib%s.a'
cxxprogram_PATTERN = '%s'
cxxshlib_PATTERN = 'lib%s.so'
cxxstlib_PATTERN = 'lib%s.a'
define_key = []
macbundle_PATTERN = '%s.bundle'
with_can = False
